Bug 112932 - no arpwatch in RHEL 3AS/3ES?
no arpwatch in RHEL 3AS/3ES?
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Riek
: 128598 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-06 02:50 EST by James Ralston
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2004-01-06 02:50:21 EST
The arpwatch package (a subpackage of tcpdump) is not included in RHEL
3AS/3ES, despite the fact that it was included in RHEL 2, and is
produced upon building tcpdump-3.7.2-7.src.rpm.

The release notes for RHEL 3AS/3ES do not mention why arpwatch was

Why was arpwatch removed?  There appears to be no package that
provides similar functionality (which I need).
Comment 1 Harald Hoyer 2004-01-12 06:28:50 EST
Comment 2 James Ralston 2004-06-25 20:47:01 EDT
Again: why is arpwatch not in RHEL 3AS/3ES?

Was it removed due to security concerns (a la perl-suidperl), or was
there some other reason?
Comment 3 Steve Bonds 2004-07-26 18:07:17 EDT
*** Bug 128598 has been marked as a duplicate of this bug. ***
Comment 4 Steve Bonds 2004-07-26 18:11:10 EDT
It's pretty easy to rebuild the tcpdump source RPM to get this
package, just grab the tcpdump SRPM from the Red Hat Network site and
run "rpm --rebuild <tcpdump SRPM>"

For the supremely lazy, the White Box Linux 3
(http://www.whiteboxlinux.org/) binaries work fine on Red Hat
Enterprise 3:

  -- Steve
Comment 6 David Lawrence 2006-03-09 17:45:47 EST
NEEDINFO_PM status has been obsoleted. Changing status to ASSIGNED and
re-assigning ownership to riek@redhat.com.
Comment 7 RHEL Product and Program Management 2007-10-19 15:31:46 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.